﻿@model EnergyMission.Domain.Entities.SensorEntity

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section Scripts {
<script>

    $(document).ready(function () {



        var value = "@ViewBag.msg";
        if (value == "") {

           
            $("#errorssms").hide();

        }
        else {
           
            $("#errorssms").show();

        }


    });

</script>
    }
<link href="/Content/teams.css" type="text/css" rel="stylesheet" />
<div class="second-menu">
    <h3>Create</h3>
</div>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    <div class="examples">
        <div id="testDivNested">
            <div class="gray_bg">
                <div class="ensure2" id="errorssms"><i class="fa fa-check-circle" aria-hidden="true"></i> @ViewBag.msg</div>

                @*<div class="ensure" id="errormsg"><i class="fa fa-exclamation-circle"></i> @ViewBag.msg</div>*@
                <div class="white_inner">
                    <div class="Sensors-create">
                        <div class="form-horizontal">
<div class="bottom delete locationBottom">
    <div class="left">

        <label class="name"> Name*</label>
        <div style="position:relative;">
            <div class="select-btn3">
                @Html.TextBoxFor(model => model.Name)
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                </div>
            </div>
        </div>
        <div class="clearfix"></div>

        <label class="name">Sensor Type*</label>
        <div style="position:relative;">
            <div class="select-btn3">
                @Html.DropDownList("SensorType", new List<SelectListItem>
{
    new SelectListItem{ Text="Electricity", Value = "Electricity" },
    new SelectListItem{ Text="Gas", Value = "Gas" },
    new SelectListItem{ Text="Water", Value = "Water" },
 })
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.SensorType, "", new { @class = "error-message eql_height" })
                </div>
            </div>
        </div>
        <div class="clearfix"></div>

        <label class="name">DataFeed**</label>
        <div style="position:relative;">
            <div class="select-btn3">
                @Html.TextBoxFor(model => model.DataFeed)
                <div class="error-msg">
                    @Html.ValidationMessageFor(m => m.DataFeed, "", new { @class = "error-message eql_height" })
                </div>
            </div>
        </div>
        <input class="save2 button2" name="button" type="submit" value="Save " />
    </div>
</div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    
    
    
    
}






